package com.rv.im.db.table;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;
import com.rv.im.enums.MessageTypeEnum;

@DatabaseTable(tableName = "tb_customer")
public class Customer {
    @DatabaseField
    private String id;
    @DatabaseField
    private String name;
    @DatabaseField
    private String password;
    @DatabaseField
    private String imUserId;
    @DatabaseField
    private String telphone;
    @DatabaseField
    private String createTime;

    private String lastMsg ;

    private long lastMsgTimes;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getImUserId() {
        return imUserId;
    }

    public void setImUserId(String imUserId) {
        this.imUserId = imUserId;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLastMsg() {
        return lastMsg;
    }

    public void setLastMsg(String lastMsg) {
        this.lastMsg = lastMsg;
    }

    public long getLastMsgTimes() {
        return lastMsgTimes;
    }

    public void setLastMsgTimes(long lastMsgTimes) {
        this.lastMsgTimes = lastMsgTimes;
    }

    public void setLastMessageInfo(ChatMessage lastMessageInfo) {

        if (lastMessageInfo.getMessageType() == MessageTypeEnum.TEXT.getType()) {
            setLastMsg(lastMessageInfo.getContent());
        } else if (lastMessageInfo.getMessageType() == MessageTypeEnum.PIC.getType()) {
            setLastMsg("[图片]");
        } else if (lastMessageInfo.getMessageType() == MessageTypeEnum.FILE.getType()) {
            setLastMsg("[文件]");
        } else if (lastMessageInfo.getMessageType() == MessageTypeEnum.VOICE.getType()) {
            setLastMsg("[语音]");
        } else if (lastMessageInfo.getMessageType() == MessageTypeEnum.VOLTE_CALL.getType()) {
            setLastMsg("[语音通话]");
        } else if (lastMessageInfo.getMessageType() == MessageTypeEnum.VIDEO_CALL.getType()) {
            setLastMsg("[视频]");
        }
        setLastMsgTimes(lastMessageInfo.getTimeSend());
    }
}
